Bug 536569 (RHQ-905) - alert template creation needs to perform work in smaller chunks
Summary: alert template creation needs to perform work in smaller chunks
Keywords:
Status: CLOSED NEXTRELEASE
Alias: RHQ-905
Product: RHQ Project
Classification: Other
Component: Performance
Version: 1.1pre
Hardware: All
OS: All
medium
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Jeff Weiss
URL: http://jira.rhq-project.org/browse/RH...
Whiteboard:
Depends On: RHQ-2257
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-26 19:43 UTC by Joseph Marques
Modified: 2014-11-09 22:50 UTC (History)
1 user (show)

Fixed In Version: 1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Joseph Marques 2008-09-26 19:43:00 UTC
AlertTemplateManagerBean.create/updateAlertTemplate {
   ...
   for (Resource res : type.getResources()) {
       // create/update alert def
   }
}

this works if there are a few thousand resources of each type...but failed when i tried to do it for a resource type with 57K committed resources of that type.

Comment 1 Joseph Marques 2009-02-01 18:12:50 UTC
this also deals with the ability to update existing alerts, which affects our ability to test to scale.

Comment 2 Joseph Marques 2009-06-24 09:47:31 UTC
rev4171 - reduce the xaction size for creating and updating alert templates; 

for QA:

* crud an alert definition
* crud an alert template - do all definitions get updated correctly?
* make sure no errors in the server log during crud'ing

Comment 3 Jeff Weiss 2009-08-04 15:12:14 UTC
rev4650 - everything seems to work but templates take forever to be applied to actual resources.  See linked issue.  Please mark this one resolved when the linked issue is resolved, so i'll know when to retest.

Comment 4 John Mazzitelli 2009-08-04 20:57:46 UTC
I am seeing very poor performance when trying to disable an alert template when I have 1000 resources that the alert temlate applies to. I try to disable and the browser just spins, the work never completes.

Comment 5 Charles Crouch 2009-09-01 14:52:31 UTC
Moving features/improvements to 1.4

Comment 6 Charles Crouch 2009-09-01 14:57:05 UTC
Move back to 1.3 since work was actually done on this

Comment 7 Joseph Marques 2009-09-03 12:25:15 UTC
charles, the linked issue was pushed to 1.4 on aug 26th, but you moved this one back to 1.3 on sep 1st.  do we want to do this for the 1.3 timeframe or push?

Comment 8 Charles Crouch 2009-09-03 16:08:03 UTC
I moved this issue back to 1.3 because I wanted to make sure the commits that were done in the 1.3release were tested/signed off on. 
Is there actually anything left to do on this task which isnt covered by http://jira.rhq-project.org/browse/RHQ-2257?

Comment 9 Charles Crouch 2009-09-03 16:24:14 UTC
(11:18:31 AM) joseph: yeah, RHQ-905 can be resolved then

Comment 10 Red Hat Bugzilla 2009-11-10 21:19:20 UTC
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-905



Note You need to log in before you can comment on or make changes to this bug.